<script lang="ts">
    import { onMount } from "svelte"
    import { get_coords, type Coordinates } from "$lib/gps"

    let lido_schenna_coords: Coordinates = { latitude: 46.6769043, longitude: 11.1851585 }

    onMount(async () => {
        let { coords, error } = await get_coords()
        console.log(coords)
        if (error != null) {
            return console.log(error)
        }
        if (coords == null) return

        // console.log(is_within_range(coords, lido_schenna_coords, 103))
    })
</script>
